import React, {Component} from 'react'
import PropTypes from 'prop-types'
import { Form, Row, Col, Input } from 'antd'
import './index.scss'

class MainSearch extends Component {
  static propTpyes = {
    type: PropTypes.any,         // 编辑类型
    card: PropTypes.any,         // 编辑应用
    inputSubmit: PropTypes.func  // input回车提交
  }

  state = {}

  /**
   * @description 获取表单值
   */
  handleConfirm = () => {
    return new Promise(resolve => {
      this.props.form.validateFieldsAndScroll((err, values) => {
        if (!err) {
          resolve(values)
        }
      })
    })
  }

  /**
   * @description 回车提交
   */
  handleSubmit = (e) => {
    e.preventDefault()
    this.props.inputSubmit()
  }

  render() {
    const { card, type } = this.props
    const { getFieldDecorator } = this.props.form
    const formItemLayout = {
      labelCol: {
        xs: { span: 24 },
        sm: { span: 8 }
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 12 }
      }
    }
    return (
      <Form {...formItemLayout} className="mob-card-edit-form">
        <Row gutter={24}>
          {type !== 'edit' ? <Col span={24}>
            <Form.Item label="传输号">
              {getFieldDecorator('VersionName', {
                initialValue: card ? card.VersionName : '',
                rules: [{
                  required: true,
                  message: '请输入传输号!'
                }, {
                  pattern: /^[a-zA-Z0-9]*$/gi,
                  message: '请输入数字或字母!'
                }, {
                  max: 20,
                  message: '传输号不可超过20个字符!'
                }]
              })(<Input placeholder="" autoComplete="off" onPressEnter={this.handleSubmit} />)}
            </Form.Item>
          </Col> : null}
          <Col span={24}>
            <Form.Item label="描述">
              {getFieldDecorator('ProgramName', {
                initialValue: card ? card.ProgramName : '',
                rules: [{
                  required: true,
                  message: '请输入描述!'
                }, {
                  max: 50,
                  message: '描述不可超过50个字符!'
                }]
              })(<Input placeholder="" autoComplete="off" onPressEnter={this.handleSubmit} />)}
            </Form.Item>
          </Col>
        </Row>
      </Form>
    )
  }
}

export default Form.create()(MainSearch)